## python-medusa 0.5.4

=== Makefile ===
# -*- Mode: Makefile -*-

clean:
	find ./ -name '*.pyc' -exec rm {} \;
	find ./ -name '*~' -exec rm {} \;

=== debian/changelog ===
python-medusa (1:0.5.4-7build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:11:07 +0000

python-medusa (1:0.5.4-7) unstable; urgency=low

  [ Arnaud Fontaine ]
  * Switch to dpkg-source 3.0 (quilt) format.
    + No need to manually remove the debian/ directory anymore.
    + Drop Build-Depends on patchutils in debian/control.
    + Drop include of simple-patchsys.mk in debian/rules.
  * debian/patches:
    + Add fix_string_exceptions.patch as string exceptions were removed
      from Python 2.6. Closes: #585302.
  * debian/copyright:
    + Update copyright years.
  * debian/control:
    + Remove now useless Replaces and Conflicts fields.
    + No need to Build-Depends on python-dev, python is enough.
    + Add ${misc:Depends} to Depends for debhelper.
  * Use dh_python2 rather than dh_pysupport.
    + Remove debian/pyversions.
    + debian/control:
      - Add X-Python-Version field.
      - Remove python-support from Build-Depends.
      - Bump python-all version to 2.6.6-3~.
      - Bump cdbs version to 0.4.90~.
    + debian/rules:
      - Remove DEB_PYTHON_SYSTEM.
  
  [ Sandro Tosi ]
  * debian/watch
    + Added.
  * debian/control
    + Switch Vcs-Browser field to viewsvn.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 18 Apr 2011 14:29:10 +0900

python-medusa (0.5.4+clean-2) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New email address.
  * Remove useless debian/control.in.
  * debian/control:
    + Update Standards-Version to 3.8.0.
    + Wrap Uploaders field.
  * debian/copyright:
    + Update copyright years.
  
  [ Piotr Ożarowski ]
  * debian/control:
    + Vcs-Svn, Vcs-Browser and Homepage fields (dpkg support them now).

  [ Sandro Tosi ]
  * debian/control
    - Uniforme Vcs-Browser field.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 30 Jun 2008 11:14:51 +0200

python-medusa (0.5.4+clean-1) unstable; urgency=low

  * Remove debian/ directory in upstream source.
  * debian/control.in:
    - Update Standards to 3.7.2. No changes needed.
  * New Python policy changes. Closes: #373336.
    + debian/rules:
      - Add DEB_PYTHON_SYSTEM=pysupport.
    + debian/control.in
      - Add XS-Python-Version to source package.
      - Clean Build-Depends and Depends, cdbs handles that 
      	automatically now.
      - XB-Python-Version and Provides for binary package.
    + debian/postinst && debian/prerm:
      - Remove "hand made" python-support stuff, cdbs does this.

 -- Arnaud Fontaine <arnaud@andesi.org>  Tue, 20 Jun 2006 11:41:51 +0200

python-medusa (0.5.4-5) unstable; urgency=low

  * Clean debian/rules by creating debian/python-medusa.docs for
    debian/README.Debian.
  * Move Build-Depends-Indep to Build-Depends according
    to the debian-policy.

 -- Arnaud Fontaine <arnaud@andesi.org>  Fri, 21 Apr 2006 10:26:12 +0200

python-medusa (0.5.4-4) unstable; urgency=low

  * Add myself to uploaders temporarily
  * Drop build-dependency on python-support and add it to python-medusa

 -- Torsten Marek <shlomme@debian.org>  Wed, 19 Apr 2006 20:09:54 +0200

python-medusa (0.5.4-3) unstable; urgency=low

  [Arnaud Fontaine]
  * New maintainer. Closes: #362532.
  * Add debian-python team to the Uploaders field (debian/control.in).
  * Drop python2.x-scheme in favor of python-support.
  * Add python-medusa-doc and remove python2.1-medusa,
    python2.2-medusa packages (debian/control.in). Closes: #351143.
  * Use cdbs in order to build the package.
  * Change section from 'net' to 'python' (debian/control.in).
  * Update the Standards-Version field to policy version 3.6.2.2
   (debian/control.in).
  * Update debian/copyright.
  
  [Torsten Marek]
  * upload an orig.tar.gz, package used to be native.

 -- Arnaud Fontaine <arnaud@andesi.org>  Wed, 19 Apr 2006 01:17:41 +0200

python-medusa (0.5.4-2) unstable; urgency=low

  * New maintainer.
  * Copied packing from python-imaging.

 -- Jeff Breidenbach <jab@debian.org>  Fri, 11 Jun 2004 21:00:24 -0700

python-medusa (0.5.4-1) unstable; urgency=low

  * Initial Release.

 -- A.M. Kuchling <amk@amk.ca>  Fri, 22 Aug 2003 08:54:11 -0400

=== debian/control ===
Source: python-medusa
Section: python
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
           Torsten Marek <shlomme@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5.0.37.2),
               cdbs (>= 0.4.90~),
	       python (>= 2.6.6-3~)
Homepage: http://www.amk.ca/python/code/medusa.html
X-Python-Version: all
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-medusa/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-medusa/trunk/

Package: python-medusa
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-medusa-doc
Description: Framework for implementing asynchronous servers
 Medusa is a 'server platform' -- it provides a framework for
 implementing asynchronous socket-based servers (TCP/IP and on Unix,
 Unix domain, sockets).

Package: python-medusa-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Framework for implementing asynchronous servers
 Medusa is a 'server platform' -- it provides a framework for
 implementing asynchronous socket-based servers (TCP/IP and on Unix,
 Unix domain, sockets).
 .
 This package contains the documentation for Medusa.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Don't compress .py files
DEB_COMPRESS_EXCLUDE := .py
DEB_INSTALL_DOCS_ALL += README.txt TODO.txt
DEB_INSTALL_CHANGELOGS_ALL += CHANGES.txt

DEB_DESTDIR=debian/python-medusa

=== debian/watch ===
version=3
http://www.amk.ca/files/python/medusa-(.*)\.tar\.gz

## python-medusa 0.5.4-2

=== debian/control ===
Source: python-medusa
Section: net
Priority: optional
Maintainer: Jeff Breidenbach <jab@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: python, python2.1-dev, python2.2-dev, python2.3-dev, debhelper (>= 4)

Package: python-medusa
Section: net
Architecture: all
Depends: ${python:Depends}
Description: Framework for implementing asynchronous servers
 Medusa is a 'server platform' -- it provides a framework for
 implementing asynchronous socket-based servers (TCP/IP and on Unix,
 Unix domain, sockets).

Package: python2.1-medusa
Section: net
Architecture: all
Depends: ${python:Depends}
Description: Framework for implementing asynchronous servers
 Medusa is a 'server platform' -- it provides a framework for
 implementing asynchronous socket-based servers (TCP/IP and on Unix,
 Unix domain, sockets).

Package: python2.2-medusa
Section: net
Architecture: all
Depends: ${python:Depends}
Description: Framework for implementing asynchronous servers
 Medusa is a 'server platform' -- it provides a framework for
 implementing asynchronous socket-based servers (TCP/IP and on Unix,
 Unix domain, sockets).

Package: python2.3-medusa
Section: net
Architecture: all
Depends: ${python:Depends}
Description: Framework for implementing asynchronous servers
 Medusa is a 'server platform' -- it provides a framework for
 implementing asynchronous socket-based servers (TCP/IP and on Unix,
 Unix domain, sockets).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# The versions of python currently supported
PYVERS = 2.1 2.2 2.3

build: build-stamp
build-stamp: $(PYVERS:%=build-python%)
	touch $@
build-python%:
	python$* setup.py build

configure:

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	rm -rf compile build
	find -name '*.py[co]' -exec rm -f {} \;
	dh_clean

install: build install-prereq $(PYVERS:%=install-python%)

install-prereq:
	dh_testdir
	dh_testroot
	dh_clean -k

install-python%:
	python$* setup.py install --root `pwd`/debian/python$*-medusa
	find debian/python$*-medusa -name '*.py[co]' -exec rm -f {} \;
	mkdir -p debian/python$*-medusa/usr/include/python$*

# Build architecture-independent files here.
binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_python -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i 
	dh_builddeb -i

binary: binary-indep 
.PHONY: build clean binary-indep binary install

## python-medusa 0.5.4-2ubuntu1

=== debian/changelog ===
python-medusa (0.5.4-2ubuntu1) hoary; urgency=low

  * added package for python 2.4
  * removed packages for python 2.1 and 2.2

 -- Charles Majola <charles@ubuntu.com>  Wed,  9 Feb 2005 11:48:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jeff Breidenbach <jab@debian.org>
 Standards-Version: 3.6.1
-Build-Depends-Indep: python, python2.1-dev, python2.2-dev, python2.3-dev, debhelper (>= 4)
+Build-Depends-Indep: python, python2.4-dev, python2.3-dev, debhelper (>= 4)
 
 Package: python-medusa
 Section: net
@@ -14,16 +14,7 @@
  implementing asynchronous socket-based servers (TCP/IP and on Unix,
  Unix domain, sockets).
 
-Package: python2.1-medusa
-Section: net
-Architecture: all
-Depends: ${python:Depends}
-Description: Framework for implementing asynchronous servers
- Medusa is a 'server platform' -- it provides a framework for
- implementing asynchronous socket-based servers (TCP/IP and on Unix,
- Unix domain, sockets).
-
-Package: python2.2-medusa
+Package: python2.4-medusa
 Section: net
 Architecture: all
 Depends: ${python:Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export DH_COMPAT=4
 
 # The versions of python currently supported
-PYVERS = 2.1 2.2 2.3
+PYVERS = 2.3 2.4
 
 build: build-stamp
 build-stamp: $(PYVERS:%=build-python%)
